parray
| Rivet Tcl Commands and Variables |

## Name

parray — Tcl's parray with html formatting.

## Synopsis

::rivet::parray ?`arrayName`? ?`?pattern [*]?`? ?`?command [puts stdout]?`?

## Description

An html version of the standard Tcl parray command. Displays the entire contents of an array in a sorted, nicely-formatted way. Mostly used for debugging purposes. Rivet's parray accepts 2 optional parameters: an array name selection pattern (like the pattern accepted by Tcl's [array names <array> -glob <pattern>]) and an output command (default: 'puts stdout').

no_body |  | parse